package com.oguerreiro.resilient.error;

public class InventoryImportYearOfDataDontMatchRuntimeException extends ResilientRuntimeException {
  private static final String CODE = "E025";

  public InventoryImportYearOfDataDontMatchRuntimeException(Integer periodYear, Integer fileYear) {
    super("The InputDataUpload configured period year is NOT the same year within the file. The period year is ["
        + periodYear + "] and the file year is [" + fileYear + "].");

    addMessageArg(periodYear);
    addMessageArg(fileYear);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}
